<launch>

    <!-- <remap from="/camera/rgb/image_raw" to="/image"/> -->
    <node pkg="nodelet" type="nodelet" name="zbar_manager"  args="manager"/>

    <!-- Example camera launch -->
    <!-- <node pkg="nodelet" type="nodelet" name="uvc_camera" args="load uvc_camera/CameraNodelet zbar_manager"> -->
    <!-- </node> -->

    <!-- <node pkg="nodelet" type="nodelet" name="barcode_reader" args="load zbar_ros/barcode_reader_nodelet zbar_manager"> -->
        <!-- <param name="throttle_repeated_barcodes" type="double" value="2.0"/> -->
    <!-- </node> -->

    <!-- <node pkg="zbar_ros" type="barcode_reader_node" name="barcode_reader">
        <param name="throttle_repeated_barcodes" type="double" value="2.0"/>
    </node> -->

    <!-- Example camera launch -->
    <!-- <node pkg="nodelet" type="nodelet" name="uvc_camera" args="load uvc_camera/CameraNodelet zbar_manager"> -->
        <!-- <remap from="image_raw" to="image"/> -->
    <!-- </node> -->

    <!--<node pkg="nodelet" type="nodelet" name="barcode_reader" args="load zbar_ros/barcode_reader_nodelet zbar_manager">-->
        <!--<param name="throttle_repeated_barcodes" type="double" value="2.0"/>-->
    <!--</node>-->

    <node pkg="zbar_ros" type="barcode_reader_node" name="barcode_reader">
        <!-- <remap from="/camera/rgb/image_raw" to="image"/> -->
        <param name="throttle_repeated_barcodes" type="double" value="2.0"/>
    </node>

</launch>
